<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Symulator ruchu drogowego: Road.Road Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Symulator ruchu drogowego
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>Road</b></li><li class="navelem"><a class="el" href="classRoad_1_1Road.html">Road</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classRoad_1_1Road-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">Road.Road Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a30eb9093e5ae2f2ba2b489b85f8b35da"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRoad_1_1Road.html#a30eb9093e5ae2f2ba2b489b85f8b35da">__init__</a> (self)</td></tr>
<tr class="separator:a30eb9093e5ae2f2ba2b489b85f8b35da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d1c7f66d905545bbfe73c4cf7006c11"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRoad_1_1Road.html#a9d1c7f66d905545bbfe73c4cf7006c11">show</a> (self, car_array)</td></tr>
<tr class="separator:a9d1c7f66d905545bbfe73c4cf7006c11"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:af9ff55b8cfe37e447e3897efc05d8168"><td class="memItemLeft" align="right" valign="top"><a id="af9ff55b8cfe37e447e3897efc05d8168" name="af9ff55b8cfe37e447e3897efc05d8168"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>grid</b></td></tr>
<tr class="memdesc:af9ff55b8cfe37e447e3897efc05d8168"><td class="mdescLeft">&#160;</td><td class="mdescRight">Grid of tiles. <br /></td></tr>
<tr class="separator:af9ff55b8cfe37e447e3897efc05d8168"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Class of Road
</pre> </div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a30eb9093e5ae2f2ba2b489b85f8b35da" name="a30eb9093e5ae2f2ba2b489b85f8b35da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30eb9093e5ae2f2ba2b489b85f8b35da">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Road.Road.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Constructor
Create static map and objects on it.
</pre> 
</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a9d1c7f66d905545bbfe73c4cf7006c11" name="a9d1c7f66d905545bbfe73c4cf7006c11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d1c7f66d905545bbfe73c4cf7006c11">&#9670;&nbsp;</a></span>show()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Road.Road.show </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>car_array</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Print map in console with cars.
@param car_array Array of cars
</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>eng/Road.py</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
